## rcconf 3.2+nmu1

=== Makefile ===
PREFIX = /usr

all: install install-man

docs:
	pod2man --section=8 --official --center="Debian GNU/Linux" rcconf > rcconf.8
	pod2man --section=8 --official --center="Debian GNU/Linux" update-rcconf-guide > update-rcconf-guide.8

clean:
	-rm -f rcconf.8
	-rm -f update-rcconf-guide.8

install-man: docs
	install -m 644 rcconf.8 $(prefix)/usr/share/man/man8/
	install -m 644 update-rcconf-guide.8 $(prefix)/usr/share/man/man8/

install:
	env
	install -m 755 rcconf $(PREFIX)/sbin/
	install -m 755 update-rcconf-guide $(PREFIX)/sbin/

## rcconf 1.3

=== debian/changelog ===
rcconf (1.3) unstable; urgency=low

  * Added file-rc in Conflits(#68828,#123845)

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Fri, 25 Jan 2002 02:37:23 +0900

rcconf (1.2) unstable; urgency=low

  * Modified control description(Thanks Joey!)

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Mon,  8 Jan 2001 17:40:05 +0900

rcconf (1.1) unstable; urgency=low

  * File Format of /var/lib/rcconf/services is changed.
    Of course, earlier version of file format can be read.
  * Rcconf can handle the services which have different numbers between
    start and stop.
  
 -- Atsushi KAMOSHIDA <kamop@debian.org>  Fri, 24 Mar 2000 14:52:22 +0900

rcconf (1.0) unstable; urgency=low

  * Stable Release.
  * Change Architecture to all
  * Add 'whiptail' to Depends.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Thu, 16 Mar 2000 15:43:03 +0900

rcconf (0.5) unstable; urgency=low

  * Commented out debug option.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Thu,  9 Mar 2000 17:34:06 +0900

rcconf (0.4) unstable; urgency=low

  * Added config-file feature.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Tue, 29 Feb 2000 13:44:26 +0900

rcconf (0.3) unstable; urgency=low

  * Added guideline feature.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Wed,  2 Feb 2000 16:01:54 +0900

rcconf (0.2) unstable; urgency=low

  * Fixed copyright statement.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sun,  9 Jan 2000 23:11:29 +0900

rcconf (0.1) unstable; urgency=low

  * Initial Release.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sat,  1 Jan 2000 01:50:16 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: rcconf
Section: admin
Priority: optional
Maintainer: Atsushi KAMOSHIDA <kamop@debian.org>
Standards-Version: 3.0.1

Package: rcconf
Architecture: all
Depends: ${shlibs:Depends} whiptail
Conflicts: file-rc
Description: Debian Runlevel configuration tool
 This tool configures system services in connection with system
 runlevels.  It turns on/off services using the scripts in
 /etc/init.d/.  Rcconf works with both System-V style and file-rc
 runlevel configuration.  It is a TUI frontend to the update-rc.d
 command.

## rcconf 1.8

=== debian/changelog ===
rcconf (1.8) unstable; urgency=low

  * Fix Depends field(Closes: #218951).

 -- Atsushi KAMOSHIDA <kamop@kamop.org>  Wed, 10 Mar 2004 02:13:46 +0900

rcconf (1.7) unstable; urgency=low

  * closes: #230761, #229464, #151824, #205468.
  * rcconf mainly use whpitail(closes: #69217).

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Mon,  8 Mar 2004 01:00:42 +0900

rcconf (1.6) unstable; urgency=low

  * Fixed remaing lock file problem(Close #144053).
  * Fixed description(Close #144560,#166518,#168414).
  * Add whiptail-privider dependancy(Close #141179).
  * Fixed copyright(Close #151968).
  * Close #67852 and #60405.
  * Delete /var/lib/rcconf/services if purged(Close #205468).

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Mon, 22 Sep 2003 01:41:31 +0900

rcconf (1.5.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends-Indep on debhelper.  Closes: #190514.

 -- Daniel Schepler <schepler@debian.org>  Mon, 18 Aug 2003 00:39:55 -0700

rcconf (1.5) unstable; urgency=low

  * Fixed missing switch flag for selecting whiptail/dialog.

 -- Atsushi Kamoshida <kamop@debian.org>  Fri, 20 Jun 2003 23:55:56 +0900

rcconf (1.4) unstable; urgency=low

  * Support whiptail and dialog.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Thu, 19 Jun 2003 00:21:42 +0900

=== debian/control ===
Source: rcconf
Section: admin
Priority: optional
Maintainer: Atsushi KAMOSHIDA <kamop@debian.org>
Build-Depends-Indep: debhelper
Standards-Version: 3.0.1

Package: rcconf
Architecture: all
Depends: whiptail | whiptail-provider | dialog, sysv-rc
Conflicts: file-rc
Description: Debian Runlevel configuration tool
 This tool configures system services in connection with system
 runlevels.  It turns on/off services using the scripts in
 /etc/init.d/.  Rcconf works with System-V style runlevel configuration.
 It is a TUI frontend to the update-rc.d command.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	pod2man --section=8 --official --center="Debian GNU/Linux" rcconf \
           > rcconf.8
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-rm -f rcconf.8

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	install -m 755 rcconf `pwd`/debian/tmp/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rcconf 1.11

=== debian/changelog ===
rcconf (1.11) unstable; urgency=low

  * Fixed to check if &TIOCGWINSZ is defined before calling ioctl.
    If TIOCGWINSZ termio isn't prepared, rcconf doesn't fit the screen
    size.(Closes: #287269)

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Mon, 27 Dec 2004 00:33:41 +0900

rcconf (1.10) unstable; urgency=low

  * Added Guide feature to man page which shows the description of each
    services.(Closes: #257353)
  * update-rcconf-guide: a support tool for Guide which creates default Guide
    File(guide.default) derived from the description of packages.
  * Modified the screen size to be able to use variable screen size.
  * Added perl-modules dependancy. (Closes: #284242)
  * Added --dialog and --whiptail commnd options which select display
    behavior. Rcconf uses whiptail method by default.
  * Turn off showing update-rc.d command result.
  * Added --verbose command option to show verious messages including 
    update-rc.d command result.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Tue,  7 Dec 2004 15:57:54 +0900

rcconf (1.9) unstable; urgency=low

  * Thanks to Fabio Tranchitella <kobold@kobold.it>, this version could resolve
    many bugs. 
  * Modified rcconf to *really* set the services "off". Before this, the
    symlinks in /etc/rc?.d have been deleted when disabling a service.
    (Closes: #271293, #237220)
  * Old NMU acknowledge (thanks Daniel). (Closes: #190514)
  * Fixed minor typo in man page.
  * Added a warning in README.Debian about false positives (Closes: #150865).
  * Removed from the list of the services found in /etc/init.d the ones which
    ends with .sh. They should be handled specially, as they are for the S
    runlevel. (Closes: #245947)
  * Removed from the list of the services found in /etc/init.d the ones which
    haven't execute permission. (Closes: #237223)
  * Applied the patch from Jeronimo Pellegrini <pellegrini@mpcnet.com.br>
    to add the --now option that start/stop the services immediatly.
    Thanks Jeronimo! (Closes: #151488)

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Wed, 10 Nov 2004 10:11:52 +0900

## rcconf 1.12

=== debian/changelog ===
rcconf (1.12) unstable; urgency=low

  * Initialize each variable before they are used.(Closes: #290223)
    Some variables are used in END block, but END block is called before
    their initialization if the option --help is stated.

 -- Atsushi KAMOSHIDA <kamop@kamop.org>  Fri, 14 Jan 2005 22:49:28 +0900

## rcconf 1.17

=== debian/changelog ===
rcconf (1.17) unstable; urgency=low

  * Do not set illegal window size by getting terminal property
    (Closes: #341339).
  * Add new option '--notermcheck' to avoid some problem by TIOCGWINSZ.
  * Immediately exit as error if rcconf can't write status to the file
    (/var/lib/rcconf/services) (Closes: #341233).

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sat,  3 Dec 2005 01:23:13 +0900

rcconf (1.16) unstable; urgency=low

  * This may avoid an error in 'require sys/ioctl.ph'(Closes: #333079).

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sun,  6 Nov 2005 23:22:40 +0900

rcconf (1.15) unstable; urgency=low

  * Fixed internal whiptail/dialog argument so as not to include "'" in each
    strings (Closes: #335534).

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sun, 30 Oct 2005 22:42:22 +0900

rcconf (1.14) unstable; urgency=low

  * Missd Closes information. (Closes #317401)

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Thu, 25 Aug 2005 21:43:39 +0900

rcconf (1.13) unstable; urgency=low

  * Fixed missing close FileHandle (Closes: #31741)

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Thu, 25 Aug 2005 20:44:25 +0900

## rcconf 1.19

=== debian/changelog ===
rcconf (1.19) unstable; urgency=low

  * Fixed the incomplete fix for #335534 (Closes: #357902).

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Thu, 23 Mar 2006 10:33:37 +0900

rcconf (1.18) unstable; urgency=low

  * Do not output verbose warnings in requiring sys/ioctl.ph(Closes: #354912).

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sat,  4 Mar 2006 22:57:06 +0900

=== debian/control ===
Source: rcconf
Section: admin
Priority: optional
Maintainer: Atsushi KAMOSHIDA <kamop@debian.org>
Build-Depends-Indep: debhelper
Standards-Version: 3.6.1

Package: rcconf
Architecture: all
Depends: whiptail | whiptail-provider | dialog, sysv-rc, perl, perl-modules
Conflicts: file-rc
Description: Debian Runlevel configuration tool
 This tool configures system services in connection with system
 runlevels.  It turns on/off services using the scripts in
 /etc/init.d/.  Rcconf works with System-V style runlevel configuration.
 It is a TUI(Text User Interface) frontend to the update-rc.d command.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	pod2man --section=8 --official --center="Debian GNU/Linux" rcconf \
           > rcconf.8
	pod2man --section=8 --official --center="Debian GNU/Linux" \
           update-rcconf-guide > update-rcconf-guide.8

	touch build-stamp


clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp
	-rm -f rcconf.8
	-rm -f update-rcconf-guide.8

	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m 755 rcconf `pwd`/debian/tmp/usr/bin
	install -m 755 update-rcconf-guide `pwd`/debian/tmp/usr/sbin


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman rcconf.8 update-rcconf-guide.8
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rcconf 1.21

=== debian/changelog ===
rcconf (1.21) unstable; urgency=low

  * Enhanced /var/lib/rcconf/services to handle the packages which have 
    multiple sequence numbers in /etc/rc?.d/ (Closes: #483009,#230748).

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sat, 14 Jun 2008 21:43:33 +0900

rcconf (1.20) unstable; urgency=low

  * Fixed typo in man page (Closes: #355605).

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sat, 22 Mar 2008 00:45:30 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	pod2man --section=8 --official --center="Debian GNU/Linux" rcconf \
		> rcconf.8
	pod2man --section=8 --official --center="Debian GNU/Linux" \
		update-rcconf-guide > update-rcconf-guide.8

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-rm -f rcconf.8
	-rm -f update-rcconf-guide.8

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	install -m 755 rcconf `pwd`/debian/tmp/usr/bin
	install -m 755 update-rcconf-guide `pwd`/debian/tmp/usr/sbin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman rcconf.8 update-rcconf-guide.8
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## rcconf 2.0

=== debian/changelog ===
rcconf (2.0) unstable; urgency=low

  * Changed rcconf path from /usr/bin to /usr/sbin.
    To avoid confusion of this change, remain /usr/bin/rcconf as symbolic
    link to /usr/sbin/rcconf for a while(Closes: #510082).
  * Introduce expert mode so as to hide unnecessary services for users
    (but very important for system). Use --expert if we want to display all.
  * Added option '--on' and '--off' to select services in command line
    (Closes: #296937,#375738,#488068).
  * Added option '--list' to show current status(on/off) of each services.
  * Added option '--config <file>' to set services from config file.
  * Return exit status of whiptail/dialog(Closes: #510079).
  * First try Short-Description in update-rcconf-guide(Closes: #510077).

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Wed, 21 Jan 2009 23:47:01 +0900

rcconf (1.24) unstable; urgency=low

  * Added dialog support to package dependency again.
    The dialog problem(original problem was fixed in dialog 1.1-20080819-1)
    and some avoidance from rcconf has already been done in 1.23.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Tue, 26 Aug 2008 23:01:10 +0900

rcconf (1.23) unstable; urgency=low

  * Added irregular dialog output handling, strip quote when dialog outputs
    quoted package name.
  * Exit if rcconf receives nonexistent package name from dialog or whiptail.
  * Handling NULL string of update-rcconf-guide(Closes: #495143).
  * Added .dpkg-bak as unselect init.d scripts.
  * Fixed to show unselected defaults package item. In prior version, when we
    unselect defaults package that rcconf uses 'update-rc.d name defaults',
    we never see this item on rcconf next time.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Fri, 15 Aug 2008 21:38:54 +0900

rcconf (1.22) unstable; urgency=low

  * We supports whiptail only(dialog won't be used) now due to strange results 
    with current dialog. Dialog support will be available when we fix the
    problem.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Fri, 15 Aug 2008 11:11:26 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Atsushi KAMOSHIDA <kamop@debian.org>
-Build-Depends-Indep: debhelper
-Standards-Version: 3.6.1
+Build-Depends-Indep: perl
+Build-Depends: debhelper (>= 5)
+Standards-Version: 3.7.2
 
 Package: rcconf
 Architecture: all

## rcconf 2.2

=== debian/changelog ===
rcconf (2.2) unstable; urgency=low

  * Rcconf sets stop /etc/rc?.d/"K"NNname files with wrong number when off
    in case mysql-server package is installed(Closes: #519555).
    If you've already have missing packages on rcconf which was turned off
    by rcconf, remove incorrect link as follows:
       # update-rc.d -f remove <package>
  * Fixed wrong messages when you use '--on' and '--off' options.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sun, 05 Apr 2009 01:58:38 +0900

rcconf (2.1) unstable; urgency=low

  * Incorrect installed path. Rcconf was installed to /usr/bin.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sat, 14 Mar 2009 22:14:45 +0900

## rcconf 2.5

=== debian/changelog ===
rcconf (2.5) unstable; urgency=low

  * Improved finding off state services(Closes: #556180).
  * Add information for --expert(Closes: #556590).

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Tue, 17 Nov 2009 10:30:05 +0900

rcconf (2.4) unstable; urgency=low

  * Fixed in calling update-rc.d to improve previous fix.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sat, 07 Nov 2009 00:12:53 +0900

rcconf (2.3) unstable; urgency=low

  * Tentative fixed in calling update-rc.d for stop service because newer
    update-rc.d changed its behavior(Closes: #554701).
    This fix will be changed when we can find the method to check whether
    update-rc.d has enable/disable options.
  * Changed in finding off state services, detects no 'S' in /etc/rc*.d as
    off state. Rcconf detected any 'K' in /etc/rc*.d as off state previously.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Fri, 06 Nov 2009 23:16:27 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Atsushi KAMOSHIDA <kamop@debian.org>
 Build-Depends-Indep: perl
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 
 Package: rcconf
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	dh_clean -k 
 	dh_installdirs
 
-	install -m 755 rcconf `pwd`/debian/tmp/usr/bin
+	install -m 755 rcconf `pwd`/debian/tmp/usr/sbin
 	install -m 755 update-rcconf-guide `pwd`/debian/tmp/usr/sbin

## rcconf 2.5ubuntu1

=== debian/changelog ===
rcconf (2.5ubuntu1) lucid; urgency=low

  * Add update-rcconf-guide to postinst (LP: #13332)

 -- Mackenzie Morgan <maco.m@ubuntu.com>  Wed, 16 Dec 2009 16:02:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rcconf
 Section: admin
 Priority: optional
-Maintainer: Atsushi KAMOSHIDA <kamop@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Atsushi KAMOSHIDA <kamop@debian.org>
 Build-Depends-Indep: perl
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.8.0

## rcconf 2.5ubuntu2

=== debian/changelog ===
rcconf (2.5ubuntu2) raring; urgency=low

  * Update whiptail path (LP #1089724)

 -- Javier P.L. <chilicuil@ubuntu.com>  Fri, 14 Dec 2012 11:24:45 -0500

## rcconf 2.5ubuntu3

=== debian/changelog ===
rcconf (2.5ubuntu3) saucy; urgency=low

  * Fix perl warnings in update-rcconf-guide (LP: #295663)

 -- Andreas Moog <amoog@ubuntu.com>  Wed, 24 Jul 2013 13:59:14 +0200

## rcconf 3.1

=== debian/changelog ===
rcconf (3.1) unstable; urgency=low

  * Re-packaged.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sun, 26 Oct 2013 10:11:00 +0900

rcconf (3.0) unstable; urgency=low

  * Fixed lintian warnings.
  * If LSB comment header is used in init.d files, use only enable/disable.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Mon, 29 Mar 2010 00:11:00 +0900

## rcconf 3.1ubuntu1

=== debian/changelog ===
rcconf (3.1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rcconf.postinst: Add update-rcconf-guide.
    - rcconf: Update whiptail path.
    - update-rcconf-guide: Fix perl warnings.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 10 Nov 2013 23:52:57 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Atsushi KAMOSHIDA <kamop@debian.org>
 Build-Depends-Indep: perl
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.8.4
 
 Package: rcconf
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -43,8 +43,8 @@
 	dh_clean -k 
 	dh_installdirs
 
-	install -m 755 rcconf `pwd`/debian/tmp/usr/sbin
-	install -m 755 update-rcconf-guide `pwd`/debian/tmp/usr/sbin
+	install -m 755 rcconf `pwd`/debian/rcconf/usr/sbin
+	install -m 755 update-rcconf-guide `pwd`/debian/rcconf/usr/sbin
 
 
 # Build architecture-independent files here.

## rcconf 3.2

=== debian/changelog ===
rcconf (3.2) unstable; urgency=low

  * Closes: #831936

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sun, 20 Aug 2016 23:49:50 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rcconf
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Atsushi KAMOSHIDA <kamop@debian.org>
+Maintainer: Atsushi KAMOSHIDA <kamop@debian.org>
 Build-Depends-Indep: perl
 Build-Depends: debhelper (>= 7)
 Standards-Version: 3.8.4

=== debian/rules ===
--- 
+++ 
@@ -47,12 +47,12 @@
 	install -m 755 update-rcconf-guide `pwd`/debian/rcconf/usr/sbin
 
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs

## rcconf 3.2+nmu1

=== debian/changelog ===
rcconf (3.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix access to internal dpkg database.  (Closes: #905702)
  * Replace call to "dh_clean -k" with "dh_prep" in debian/rules as the
    latter is deprecated
  * Add required build-arch and build-indep targets to debian/rules
  * Set "Rules-Requires-Root" to "no" as menu-xdg does not need
    (fake)root to build."
  * Remove dependency on perl-modules as it is implied by the dependency
    on perl and the perl maintainers consider perl-modules an
    implementation-detail that we must not rely on.
  * Remove empty "usr/bin" folder in the rcconf package.

 -- Niels Thykier <niels@thykier.net>  Sun, 11 Nov 2018 16:16:28 +0000

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -40,7 +42,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	install -m 755 rcconf `pwd`/debian/rcconf/usr/sbin

## rcconf 3.2+nmu2

=== debian/changelog ===
rcconf (3.2+nmu2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007582)
  * Drop debian/rules.old (dh_make template)

 -- Bastian Germann <bage@debian.org>  Sat, 01 Jun 2024 13:10:32 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends-Indep: perl
 Build-Depends: debhelper (>= 7)
 Standards-Version: 3.8.4
+Rules-Requires-Root: no
 
 Package: rcconf
 Architecture: all
-Depends: whiptail | whiptail-provider | dialog, sysv-rc, perl, perl-modules
+Depends: whiptail | whiptail-provider | dialog, sysv-rc, perl
 Conflicts: file-rc
 Description: Debian Runlevel configuration tool
  This tool configures system services in connection with system
